# reference block
#default_value_range:
#  int: &default_int_range "0-65536" # e.g. "0-65536" | [2, 4, 6] | ">=10" | "<=10", etc.
#  float: &default_float_range "0-65536"
#  datetime: &default_datetime_range "xxxx"

param_spec: &default
  name:               # required,
  value_type:         # required, available Types: "int", "str", "float", "datetime", "[int]", "[str]", "dataframe", etc.
  default_value:      # required, must match the value_type
  value_range:        # optional, reference to default_value_range
  des:
  optional: False

input: # mapping to input parameter in main.py
  train:
   path_train_images:
     <<: *default
     value_type: "str"
   path_val_images:
     <<: *default
     value_type: "str"
   path_train_orgin_images:
     <<: *default
     value_type: "str"
   path_val_orgin_images:
     <<: *default
     value_type: "str"
   path_orgin_json:
     <<: *default
     value_type: "str"
   path_orgin_csv:
     <<: *default
     value_type: "str"
   
   model_name:
     <<: *default
     value_type: "str"
     default_value: 'small'
     optional: True
   learning_rate:
     <<: *default
     value_type: "float"
     default_value: 0.001
     optional: True
   batch_size:
     <<: *default
     value_type: "int"
     default_value: 32
     optional: True
   image_size:
     <<: *default
     value_type: "int"
     default_value: 224
     optional: True
   weights_mode:
     <<: *default
     value_type: "str"
     default_value: 'loss'
     optional: True
   epoch:
     <<: *default
     value_type: "int"
     default_value: 100
     optional: True

  predict:
   image_path:
     <<: *default
     value_type: "str"
     default_value: "./image/00f076d9b6ab784f69c0e43e77853d7c24d62342.jpg"

output:
  predict:
   prediction:
     value_type: "[str]"
#    flight_date:
#      value_type: "str"
